import React from 'react'
import Bottom from './../Bottom/index'
import './index.css'
import {Outlet} from 'react-router-dom'
import DetailSearchBar from "../../components/DetailSearchBar";


export default class Home extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            search:{
                "pageSize":10,
                "pageNumber":1,
                "data":[
                    {"name":"state","value":"8,9","operateType":"IN"},
                    {"name":"expectedStartTime","value":"2024-12-29T16:00:00.000Z","operateType":">="},
                    {"name":"expectedStartTime","value":"2024-12-29T16:00:00.000Z","operateType":"<="}]}
        };
    }
    updateSearch = (values) => {
        this.setState({search:values});
    };
    render() {
        return (
            <div className='body'>
                <DetailSearchBar search={ this.state.search } updateSearch={this.updateSearch} />
                <div style={{marginTop:"40px",marginBottom:"49px",width:"100%"}}>
                    <Outlet/>
                </div>
                <Bottom/>
            </div>
        )
    }
}
